import React from "react";
import {
  Button,
  Dialog,
  DialogActions,
  DialogContent,
  DialogTitle,
  Typography
} from "@mui/material";
import Alert from "@mui/material/Alert";

export function IOCUndeployDialog({
  open,
  setOpen,
  submitCallback,
  ioc,
  error
}) {
  const handleClose = () => {
    setOpen(false);
  };

  const onSubmit = (event) => {
    event.preventDefault();

    submitCallback({
      ioc_id: ioc.id
    });
  };

  return (
    <Dialog
      open={open}
      onClose={handleClose}
    >
      <form onSubmit={onSubmit}>
        <DialogTitle
          id="form-dialog-title"
          variant="h2"
        >
          Undeploy
        </DialogTitle>
        <DialogContent
          sx={{ gap: 1.5, display: "flex", flexDirection: "column" }}
        >
          <Typography>
            Do you really want to undeploy {ioc.namingName} from{" "}
            {ioc?.activeDeployment?.host?.fqdn}?
          </Typography>
          {error ? <Alert severity="error">{error}</Alert> : <></>}
        </DialogContent>
        <DialogActions>
          <Button
            onClick={handleClose}
            color="primary"
          >
            Cancel
          </Button>
          <Button
            color="primary"
            variant="contained"
            type="submit"
          >
            Undeploy
          </Button>
        </DialogActions>
      </form>
    </Dialog>
  );
}
